Skip to main content
GET
/
v1
/
card-transactions
/
{cardTransactionId}
Get card transaction
curl --request GET \
  --url https://api.light.inc/v1/card-transactions/{cardTransactionId} \
  --header 'Authorization: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyEntityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyEntityName": "<string>",
  "cardBalanceAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cardBalanceAccountLabel": "<string>",
  "cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cardVendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cardVendorAvatarUrl": "<string>",
  "cardVendorName": "<string>",
  "cardOwnerName": "<string>",
  "cardOwnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cardLastFour": "<string>",
  "originalAmount": 123,
  "originalCurrency": "USD",
  "amount": 123,
  "currency": "USD",
  "merchant": {
    "name": "<string>",
    "cleanName": "<string>",
    "zipcode": "<string>",
    "id": "<string>",
    "mcc": "<string>",
    "acquirerId": "<string>",
    "logoUrl": "<string>"
  },
  "receiptDocumentKey": "<string>",
  "lines": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountLabel": "<string>",
      "taxCodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "taxCodeLabel": "<string>",
      "costCenterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "costCenterName": "<string>",
      "amount": 123,
      "netAmount": 123,
      "description": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "customProperties": [
        {
          "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "groupInternalName": "<string>",
          "values": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "groupInternalName": "<string>",
              "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "internalName": "<string>",
              "label": "<string>",
              "context": "<string>",
              "createdAt": "2023-11-07T05:31:56Z",
              "updatedAt": "2023-11-07T05:31:56Z"
            }
          ]
        }
      ],
      "amortizationTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amortizationStartDate": "2023-12-25",
      "amortizationEndDate": "2023-12-25"
    }
  ],
  "failureContext": {
    "name": "<string>",
    "errors": [
      {
        "type": "<string>",
        "message": "<string>",
        "path": [
          "<string>"
        ],
        "context": {}
      }
    ]
  },
  "description": "<string>",
  "performedAt": "2023-11-07T05:31:56Z",
  "exportedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "customProperties": [
    {
      "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "groupInternalName": "<string>",
      "values": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "groupInternalName": "<string>",
          "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "internalName": "<string>",
          "label": "<string>",
          "context": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.light.inc/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Path Parameters

cardTransactionId
string<uuid>
required

Response

default - application/json;charset=UTF-8

default response

List of records for the current page

id
string<uuid>
companyId
string<uuid>
companyEntityId
string<uuid>
companyEntityName
string
cardBalanceAccountId
string<uuid>
cardBalanceAccountLabel
string
cardId
string<uuid>
cardVendorId
string<uuid>
cardVendorAvatarUrl
string
cardVendorName
string
cardOwnerName
string
cardOwnerId
string<uuid>
cardLastFour
string
originalAmount
integer<int64>
originalCurrency
string
Example:

"USD"

amount
integer<int64>
currency
string
Example:

"USD"

direction
enum<string>

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
DEBIT,
CREDIT
transactionReason
enum<string>

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
ACCOUNT_NOT_ACTIVE,
AMOUNT_LIMIT_EXCEEDED,
APPROVAL_EXPIRED,
APPROVED,
AUTHENTICATION_FAILED,
AUTHENTICATION_REQUIRED,
BALANCE_ACCOUNT_BLOCKED_BY_RULE,
CALL_REFERRAL,
CANCELLED,
CARD_BLOCKED,
CARD_CAPTURED,
CARD_EXPIRED,
CARD_LOST_OR_STOLEN,
CARD_RESTRICTED,
CARD_VERIFICATION_FAILED,
CASHBACK_LIMIT_EXCEEDED,
CONTACTLESS_FALLBACK,
CONTACTLESS_LIMIT_REACHED,
COUNTERPARTY_ACCOUNT_UNAVAILABLE,
COUNTERPARTY_ADDRESS_REQUIRED,
COUNTERPARTY_BANK_UNAVAILABLE,
CRYPTOGRAPHIC_FAILURE,
DECLINED,
DECLINED_BY_BAP_VALIDATION,
DECLINED_BY_TRANSACTION_RULE,
DECLINED_NON_GENERIC,
DOMESTIC_DEBIT_NOT_ALLOWED,
DO_NOT_HONOR,
DUPLICATE_TRANSMISSION,
FORMAT_ERROR,
FRAUD,
HONOR_WITH_ID,
INSUFFICIENT_FUNDS,
INTERNAL_TIMEOUT,
INVALID_ACCOUNT,
INVALID_AMOUNT,
INVALID_AUTHORIZATION_LIFECYCLE,
INVALID_CARD,
INVALID_ISSUER,
INVALID_MERCHANT,
INVALID_TRANSACTION,
ISSUER_SUSPECTED_FRAUD,
MOBILE_PIN_REQUIRED,
NOT_SUBMITTED,
NO_ACCOUNT_OF_TYPE,
OTHER,
PARTIALLY_APPROVED,
PENDING,
PIN_INVALID,
PIN_NOT_CHANGED,
PIN_REQUIRED,
PIN_TRIES_EXCEEDED,
PIN_VALIDATION_NOT_POSSIBLE,
PROVIDER_ERROR,
PURCHASE_AMOUNT_ONLY_NO_CASHBACK,
REFUSED_BY_COUNTERPARTY_BANK,
REFUSED_BY_CUSTOMER,
REVOCATION_OF_AUTH,
ROUTE_NOT_FOUND,
SCHEME_ADVICE,
SECURITY_VIOLATION,
TRANSACTION_NOT_PERMITTED,
TRANSFER_INSTRUMENT_NOT_FOUND,
TRANSFER_NOT_SUPPORTED,
UNKNOWN,
WITHDRAWAL_AMOUNT_EXCEEDED,
WITHDRAWAL_COUNT_EXCEEDED
purchaseType
enum<string>

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
ATM,
BALANCE_INQUIRY,
ECOMMERCE,
POS,
RECURRING,
UNKNOWN,
OTHER
status
enum<string>

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
AUTHORIZED,
DECLINED,
CAPTURED,
REFUNDED,
VOIDED,
POSTED
type
enum<string>

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
PAYMENT,
REFUND,
OTHER
merchant
object
receiptDocumentKey
string
lines
object[]
failureContext
object

Failure context when vendor onboarding fails.

description
string
performedAt
string<date-time>
exportedAt
string<date-time>
createdAt
string<date-time>
updatedAt
string<date-time>
customProperties
(object | null)[]

Custom properties set on the vendor.